Package Gnumed :: Package wxpython :: Module gmPlugin_Patient :: Class wxPatientPlugin |
[frames] | no frames]

# Class wxPatientPlugin

source code

    BasePlugin --+
                 |
                wxPatientPlugin

A 'small page', sits inside the patient view, with the side visible

Instance Methods
register(self) | source code
OnTool(self, event) | source code
Raise(self) Raises this plugin to the top level if not visible. | source code
unregister(self) | source code
Inherited from `BasePlugin`: `GetIcon`, `GetIconData`, `GetWidget`, `MenuInfo`, `ReceiveFocus`, `__init__`, `name`

Method Details

### register(self) | source code
Overrides: BasePlugin.register

### Raise(self) | source code
Raises this plugin to the top level if not visible. Overrides: BasePlugin.Raise (inherited documentation)

### unregister(self) | source code
Overrides: BasePlugin.unregister